#!/bin/bash

TARGET="Maemo 5"
BINARY_NAME="quasar"

SCRIPT_FILENAME="`cd \`dirname \"$0\"\`; pwd`/`basename \"$0\"`"
DISTRO_ROOT=$(dirname "$SCRIPT_FILENAME")

source "$DISTRO_ROOT/makedistro-common.sh.in"

function prepareMakefile()
{
	qmake quasar-qt4.pro -r -spec linux-g++-maemo5
}

buildBinary "$TOOLS_ROOT/devenv-arm-maemo5-qtsdk-qt4.sh"
rm -Rf "debian"
cp -R "qtc_packaging/debian_fremantle" "debian"
chmod +x "debian/rules"
mad dpkg-buildpackage -nc -uc -us
mv ../quasar_*.deb "distro/output"
mv ../quasar_*.changes "distro/output"

cleanUp
